=== debian/control ===
Source: kotlin-mode
Section: editors
Priority: optional
Maintainer: Joshua Peisach <itzswirlz2020@outlook.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/kotlin-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/kotlin-mode.git
Homepage: https://github.com/Emacs-Kotlin-Mode-Maintainers/kotlin-mode

Package: elpa-kotlin-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs major mode for kotlin
 This package contains an Emacs major mode for Kotlin, including a REPL.
 .
 It has syntax support (font-lock), along with interactive region sending to
 its own REPL. There are also settings for indentation parameters and having
 features to navigate Kotlin code easier.
 .
 In the future, this package will have support for Gradle build files.
