=== debian/changelog ===
kotlin-mode (0.0~git20230123.fddd747-2) unstable; urgency=medium

  * Team upload.
  * Install all elisp files.  Kotlin-mode-indent.el was missing from
    elpa-kotlin-mode in the last upload (Closes: #1030830).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 07 Feb 2023 17:02:53 -0500

kotlin-mode (0.0~git20230123.fddd747-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * Update to new upstream commit fddd747 (Closes: #1011594)
  * Refresh patch 0001 (update source version)
  * Declare compliance with Standards-Version 4.6.2 (no changes required).
  * Remove the emacs version recommendation constraint
    - Oldest version in the archive (buster) is 1:26.1+1-3.2+deb10u3.
    - kotlin-mode.el states a requirement of emacs 24.3 or later.
    - Users keeping their system up to date will fulfill this
      constraint by default.

  [ Nicholas D Steeves ]
  * Drop installation of the "doc/" subdir; it does not yet meet Debian
    standards, but uploading today, without docs will allow this package to
    become part of bookworm.  These issues will be detailed in a bug, and
    should be resolved before the hard freeze.

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Mon, 06 Feb 2023 20:25:54 -0500
