=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kotlin-mode
 Section: editors
 Priority: optional
-Maintainer: Joshua Peisach <itzswirlz2020@outlook.com>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/kotlin-mode
@@ -14,7 +15,7 @@
 Package: elpa-kotlin-mode
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Emacs major mode for kotlin
  This package contains an Emacs major mode for Kotlin, including a REPL.
