=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Emacs-Kotlin-Mode-Maintainers/kotlin-mode \
HEAD debian
